USN-6274-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6274-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6274-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6274-1
Related
  • CVE-2023-36661
Published
2023-08-03T14:45:50.372652Z
Modified
2023-08-03T14:45:50.372652Z
Summary
xmltooling vulnerability
Details

Jurien de Jong discovered that XMLTooling did not properly handle certain KeyInfo element content within an XML signature. An attacker could possibly use this issue to achieve server-side request forgery.

References

Affected packages

Ubuntu:Pro:16.04:LTS / xmltooling

Package

Name
xmltooling

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.5.6-2ubuntu0.3+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libxmltooling-doc": "1.5.6-2ubuntu0.3+esm1",
            "libxmltooling-dev": "1.5.6-2ubuntu0.3+esm1",
            "xmltooling-schemas": "1.5.6-2ubuntu0.3+esm1",
            "libxmltooling6v5": "1.5.6-2ubuntu0.3+esm1"
        }
    ]
}